- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QNetworkConfiguration Class Reference

Search for all occurrences

## Detailed Description

Definition at line 71 of file qnetworkconfiguration.h.

`#include <qnetworkconfiguration.h>`

List of all members.

## Public Types
enum | Type { InternetAccessPoint = 0, ServiceNetwork, UserChoice, Invalid }
enum | Purpose { UnknownPurpose = 0, PublicPurpose, PrivatePurpose, ServiceSpecificPurpose }
enum | StateFlag { Undefined = 0x0000001, Defined = 0x0000002, Discovered = 0x0000006, Active = 0x000000e }
enum | BearerType { BearerUnknown, BearerEthernet, BearerWLAN, Bearer2G, BearerCDMA2000, BearerWCDMA, BearerHSPA, BearerBluetooth, BearerWiMAX }
## Public Member Functions
| QNetworkConfiguration ()
| QNetworkConfiguration (const QNetworkConfiguration &other)
QNetworkConfiguration & | operator= (const QNetworkConfiguration &other)
| ~QNetworkConfiguration ()
bool | operator== (const QNetworkConfiguration &cp) const
bool | operator!= (const QNetworkConfiguration &cp) const
StateFlags | state () const
Type | type () const
Purpose | purpose () const
BearerType | bearerType () const
QString | bearerTypeName () const
QString | identifier () const
bool | isRoamingAvailable () const
QList< QNetworkConfiguration > | children () const
QString | name () const
bool | isValid () const
## Friends
class | QNetworkConfigurationPrivate
class | QNetworkConfigurationManager
class | QNetworkConfigurationManagerPrivate
class | QNetworkSessionPrivate

## Member Enumeration Documentation

enum Type

Search for all occurrences

Enumerator:

  InternetAccessPoint | Search for all occurrences
  ServiceNetwork | Search for all occurrences
  UserChoice | Search for all occurrences
  Invalid | Search for all occurrences

Definition at line 83 of file qnetworkconfiguration.h.

                  {
            InternetAccessPoint = 0,
            ServiceNetwork,
            UserChoice,
            Invalid
        };

enum Purpose

Search for all occurrences

Enumerator:

  UnknownPurpose | Search for all occurrences
  PublicPurpose | Search for all occurrences
  PrivatePurpose | Search for all occurrences
  ServiceSpecificPurpose | Search for all occurrences

Definition at line 90 of file qnetworkconfiguration.h.

                     {
            UnknownPurpose = 0,
            PublicPurpose,
            PrivatePurpose,
            ServiceSpecificPurpose
        };

enum StateFlag

Search for all occurrences

Enumerator:

  Undefined | Search for all occurrences
  Defined | Search for all occurrences
  Discovered | Search for all occurrences
  Active | Search for all occurrences

Definition at line 97 of file qnetworkconfiguration.h.

                       {
            Undefined        = 0x0000001,
            Defined          = 0x0000002,
            Discovered       = 0x0000006,
            Active           = 0x000000e
        };

enum BearerType

Search for all occurrences

Enumerator:

  BearerUnknown | Search for all occurrences
  BearerEthernet | Search for all occurrences
  BearerWLAN | Search for all occurrences
  Bearer2G | Search for all occurrences
  BearerCDMA2000 | Search for all occurrences
  BearerWCDMA | Search for all occurrences
  BearerHSPA | Search for all occurrences
  BearerBluetooth | Search for all occurrences
  BearerWiMAX | Search for all occurrences

Definition at line 107 of file qnetworkconfiguration.h.

                        {
            BearerUnknown,
            BearerEthernet,
            BearerWLAN,
            Bearer2G,
            BearerCDMA2000,
            BearerWCDMA,
            BearerHSPA,
            BearerBluetooth,
            BearerWiMAX
        };

## Constructor & Destructor Documentation

QNetworkConfiguration | ( |  | ) |

QNetworkConfiguration | ( | const QNetworkConfiguration & | other | ) |

~QNetworkConfiguration | ( |  | ) |

## Member Function Documentation

QNetworkConfiguration& operator= | ( | const QNetworkConfiguration & | other | ) |

bool operator== | ( | const QNetworkConfiguration & | cp | ) | const

bool operator!= | ( | const QNetworkConfiguration & | cp | ) | const `[inline]`

Definition at line 80 of file qnetworkconfiguration.h.

        { return !operator==(cp); }

StateFlags state | ( |  | ) | const

Search for all occurrences

Type type | ( |  | ) | const

Search for all occurrences

Purpose purpose | ( |  | ) | const

Search for all occurrences

BearerType bearerType | ( |  | ) | const

Search for all occurrences

QString bearerTypeName | ( |  | ) | const

Search for all occurrences

QString identifier | ( |  | ) | const

Search for all occurrences

bool isRoamingAvailable | ( |  | ) | const

Search for all occurrences

QList<QNetworkConfiguration> children | ( |  | ) | const

Search for all occurrences

QString name | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QNetworkConfigurationPrivate `[friend]`

Search for all occurrences

Definition at line 143 of file qnetworkconfiguration.h.

friend class QNetworkConfigurationManager `[friend]`

Search for all occurrences

Definition at line 144 of file qnetworkconfiguration.h.

friend class QNetworkConfigurationManagerPrivate `[friend]`

Search for all occurrences

Definition at line 145 of file qnetworkconfiguration.h.

friend class QNetworkSessionPrivate `[friend]`

Search for all occurrences

Definition at line 146 of file qnetworkconfiguration.h.

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkconfiguration.h

QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration
QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration QNetworkConfiguration